# /home/seamonkey/.config/tmuxinator/ephemery.yml

name: ephemery
root: /home/seamonkey/ephemery/

# Runs in each window and pane before window/pane specific commands. 
pre_window: source /mnt/eth/ephemery/genesis/nodevars_env.txt

windows:
  - nimbus-geth:
      layout: even-vertical
      panes:
        - ./go-ethereum/build/bin/geth --metrics --metrics.port 6070 --metrics.addr 127.0.0.1 --datadir /mnt/eth/ephemery/nimbus-geth --http --http.port 8546 --http.api="engine,eth,web3,net,debug,txpool" --http.corsdomain "*" --syncmode=full --authrpc.jwtsecret=/mnt/eth/ephemery/jwtsecret console --nat=extip:1.2.3.4 --port 23439 --authrpc.port 8557 --state.scheme=path --bootnodes $BOOTNODE_ENODE_LIST --http.addr "192.168.0.2" --ws --ws.port 8548 
        - ./nimbus-eth2/build/nimbus_beacon_node --network=/mnt/eth/ephemery/genesis --web3-url=ws://127.0.0.1:8557 --log-level=INFO --data-dir=/mnt/eth/ephemery/nimbus-geth --nat=extip:1.2.3.4 --tcp-port=23440 --udp-port=23440 --graffiti="nimbus-geth seamonkey.tech" --rest --rest-port=4008 --suggested-fee-recipient="0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --jwt-secret=/mnt/eth/ephemery/jwtsecret --max-peers=30 --bootstrap-node=$BOOTSTRAP_ENR_LIST 
  - lighthouse-besu:
      layout: even-vertical
      panes:
        - ./besu/build/install/besu/bin/besu --data-path /mnt/eth/ephemery/lighthouse-besu --genesis-file=/mnt/eth/ephemery/genesis/besu.json --rpc-http-enabled=true --rpc-http-host="0.0.0.0" --rpc-http-cors-origins="*" --host-allowlist="*" --engine-host-allowlist="*" --engine-jwt-secret=/mnt/eth/ephemery/jwtsecret --p2p-port 23441 --rpc-http-port=8571 --p2p-host "1.2.3.4" --engine-rpc-port=8572 --data-storage-format=BONSAI --sync-mode=FULL --bootnodes=$BOOTNODE_ENODE_LIST
        - ./lighthouse/target/release/lighthouse -t /mnt/eth/ephemery/genesis --debug-level info beacon_node --datadir /mnt/eth/ephemery/lighthouse-besu --http --metrics --execution-endpoints http://127.0.0.1:8572 --enr-udp-port=23442 --enr-tcp-port=23442 --jwt-secrets="/mnt/eth/ephemery/jwtsecret" --enr-address 1.2.3.4 --port 23442 --graffiti "lighthouse-besu seamonkey.tech" --http-port 5063 --metrics-port 5090 --quic-port 23443 --boot-nodes $BOOTNODE_ENR_LIST
        - ./lighthouse/target/release/lighthouse v -d /mnt/eth/ephemery/lighthouse-besu -t /mnt/eth/ephemery/genesis --beacon-nodes "http://127.0.0.1:5063" --suggested-fee-recipient="0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --metrics --metrics-port 5073
  - teku-geth:
      layout: even-vertical
      panes:
        - ./go-ethereum/build/bin/geth --metrics --metrics.port 6071 --metrics.addr 127.0.0.1 --datadir /mnt/eth/ephemery/teku-geth --http --http.port 8573 --http.api="engine,eth,web3,net,debug,txpool" --http.corsdomain "*" --syncmode=full --authrpc.jwtsecret=/mnt/eth/ephemery/jwtsecret console --nat=extip:1.2.3.4 --port 23445 --authrpc.port 8574 --state.scheme=path --bootnodes $BOOTNODE_ENODE_LIST --http.addr "192.168.0.2" 
        - ./teku/build/install/teku/bin/teku --network=ephemery --ee-endpoint=http://localhost:8574 --ee-jwt-secret-file=/mnt/eth/ephemery/jwtsecret --metrics-enabled=true --metrics-port=8095 --rest-api-enabled=true --rest-api-port=4009 --checkpoint-sync-url=http://127.0.0.1:5063 --data-path=/mnt/eth/ephemery/teku-geth --log-destination console --p2p-port 23446 --p2p-advertised-ip=1.2.3.4 --validators-proposer-default-fee-recipient "0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --validators-graffiti "teku-geth seamonkey.tech" --p2p-peer-upper-bound 30 --p2p-peer-lower-bound 30 --validator-keys=/mnt/eth/ephemery/teku-geth/validator_keys:/mnt/eth/ephemery/teku-geth/secrets --p2p-discovery-bootnodes=$BOOTNODE_ENR_LIST --validators-graffiti-client-append-format=DISABLED 
  - lodestar-besu:
      layout: even-vertical
      panes:
        - ./besu/build/install/besu/bin/besu --data-path /mnt/eth/ephemery/lodestar-besu --genesis-file=/mnt/eth/ephemery/genesis/besu.json --rpc-http-enabled=true --rpc-http-host="0.0.0.0" --rpc-http-cors-origins="*" --host-allowlist="*" --engine-host-allowlist="*" --engine-jwt-secret=/mnt/eth/ephemery/jwtsecret --p2p-port 23449 --rpc-http-port=8575 --p2p-host "1.2.3.4" --engine-rpc-port=8576 --data-storage-format=BONSAI --sync-mode=FULL --bootnodes=$BOOTNODE_ENODE_LIST
        - cd lodestar && node --trace-deprecation --max-old-space-size=8192 ./packages/cli/bin/lodestar.js beacon --dataDir="/mnt/eth/ephemery/lodestar-besu" --eth1 --execution.urls="http://127.0.0.1:8576" --jwt-secret="/mnt/eth/ephemery/jwtsecret" --port 23450 --enr.ip "1.2.3.4" --enr.tcp 23450 --enr.udp 23450 --rest.port 9598 --paramsFile /mnt/eth/ephemery/genesis/config.yaml --targetPeers 30 --nat --metrics --metrics.port 5051 --bootnodes $BOOTNODE_ENR_LIST --network=ephemery
        - cd lodestar && ./lodestar validator --graffiti "lodestar-besu seamonkey.tech" --server http://127.0.0.1:9598 --dataDir /mnt/eth/ephemery/lodestar-besu --paramsFile /mnt/eth/ephemery/genesis/config.yaml --suggestedFeeRecipient "0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --metrics --metrics.port 5079
